> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Explain why a single profile is or isn't in a dynamic group

> A `GET` to `/groups/definitions/{group}/profiles/{profile}/explain`
evaluates the group's active conditions for the profile and returns a
structured breakdown.



## OpenAPI

````yaml get /v3/groups/definitions/{group}/profiles/{profile}/explain
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/groups/definitions/{group}/profiles/{profile}/explain:
    get:
      tags:
        - Group Explain
      summary: Explain why a single profile is or isn't in a dynamic group
      description: |-
        A `GET` to `/groups/definitions/{group}/profiles/{profile}/explain`
        evaluates the group's active conditions for the profile and returns a
        structured breakdown.
      operationId: groups.definitions.profiles.explain
      parameters:
        - name: group
          in: path
          required: true
          description: The group ID
          schema:
            type: integer
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          profile_id:
                            type: string
                          query:
                            type: object
                            properties:
                              matched:
                                type: boolean
                            required:
                              - matched
                          inclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              matches:
                                type: array
                                items:
                                  type: string
                                minItems: 0
                                maxItems: 0
                                additionalItems: false
                            required:
                              - matched
                              - matches
                          exclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              excluded_by:
                                type: 'null'
                            required:
                              - matched
                              - excluded_by
                          in_group:
                            type: boolean
                          reason:
                            type: string
                            const: evaluation_error
                          error:
                            type: string
                        required:
                          - profile_id
                          - query
                          - inclusion
                          - exclusion
                          - in_group
                          - reason
                          - error
                      - type: object
                        properties:
                          profile_id:
                            type: string
                          query:
                            type: object
                            properties:
                              matched:
                                type: boolean
                            required:
                              - matched
                          inclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              matches:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    rule_id:
                                      type: string
                                    handle:
                                      type: string
                                    name:
                                      type: string
                                    matched:
                                      type: boolean
                                    explanation:
                                      type: object
                                      properties:
                                        evaluator:
                                          type: string
                                          const: jsonlogic
                                        result:
                                          type: string
                                      required:
                                        - evaluator
                                        - result
                                  required:
                                    - rule_id
                                    - handle
                                    - name
                                    - matched
                                    - explanation
                            required:
                              - matched
                              - matches
                          exclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              excluded_by:
                                type: 'null'
                            required:
                              - matched
                              - excluded_by
                          in_group:
                            type: boolean
                          reason:
                            type: string
                            const: included
                        required:
                          - profile_id
                          - query
                          - inclusion
                          - exclusion
                          - in_group
                          - reason
                      - type: object
                        properties:
                          profile_id:
                            type: string
                          query:
                            type: object
                            properties:
                              matched:
                                type: boolean
                            required:
                              - matched
                          inclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              matches:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    rule_id:
                                      type: string
                                    handle:
                                      type: string
                                    name:
                                      type: string
                                    matched:
                                      type: boolean
                                    explanation:
                                      type: object
                                      properties:
                                        evaluator:
                                          type: string
                                          const: jsonlogic
                                        result:
                                          type: string
                                      required:
                                        - evaluator
                                        - result
                                  required:
                                    - rule_id
                                    - handle
                                    - name
                                    - matched
                                    - explanation
                            required:
                              - matched
                              - matches
                          exclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              excluded_by:
                                type: object
                                properties:
                                  rule_id:
                                    type: string
                                  handle:
                                    type: string
                                  name:
                                    type: string
                                  explanation:
                                    type: object
                                    properties:
                                      evaluator:
                                        type: string
                                        const: jsonlogic
                                      result:
                                        type: string
                                    required:
                                      - evaluator
                                      - result
                                required:
                                  - rule_id
                                  - handle
                                  - name
                                  - explanation
                            required:
                              - matched
                              - excluded_by
                          in_group:
                            type: boolean
                          reason:
                            type: string
                            const: excluded_by_rule
                        required:
                          - profile_id
                          - query
                          - inclusion
                          - exclusion
                          - in_group
                          - reason
                      - type: object
                        properties:
                          profile_id:
                            type: string
                          query:
                            type: object
                            properties:
                              matched:
                                type: boolean
                            required:
                              - matched
                          inclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              matches:
                                type: array
                                items:
                                  type: string
                                minItems: 0
                                maxItems: 0
                                additionalItems: false
                            required:
                              - matched
                              - matches
                          exclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              excluded_by:
                                type: 'null'
                            required:
                              - matched
                              - excluded_by
                          in_group:
                            type: boolean
                          reason:
                            type: string
                            const: no_inclusion_match
                        required:
                          - profile_id
                          - query
                          - inclusion
                          - exclusion
                          - in_group
                          - reason
                      - type: object
                        properties:
                          profile_id:
                            type: string
                          query:
                            type: object
                            properties:
                              matched:
                                type: boolean
                            required:
                              - matched
                          inclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              matches:
                                type: array
                                items:
                                  type: string
                                minItems: 0
                                maxItems: 0
                                additionalItems: false
                            required:
                              - matched
                              - matches
                          exclusion:
                            type: object
                            properties:
                              matched:
                                type: boolean
                              excluded_by:
                                type: 'null'
                            required:
                              - matched
                              - excluded_by
                          in_group:
                            type: boolean
                          reason:
                            type: string
                            const: not_in_query
                        required:
                          - profile_id
                          - query
                          - inclusion
                          - exclusion
                          - in_group
                          - reason
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````